Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logging
Class Reporter

    java.lang.Object
      logging.Reporter

    public class Reporter

extends java.lang.Object

This class provides the service to build reports in the form of text files that can be read by spread sheet programs.

Author:
  Majd Kokaly

Constructor Summary
`Reporter()`

Method Summary
`static void` | `generateReportAboutJobClasses(Mapper mapper, GeneratorsController controller, java.lang.String fileName)` This method generates a report (file) about the job classes during or after a test.
`static void` | `generateReportAboutSystemStatistics(Mapper mapper, java.lang.String fileName)` This method generates report about system level statistics such as Scheduling scheme, Start Time, Duration, Communication Delay, and Waiting time, etc..
`static void` | `generateReportOfMue(Mapper mapper, java.lang.String fileName)` This report generate a text file containing Mue Matrix (Processing Rates) and the actual Processing rates that were obtained during or after a test.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reporter

    public Reporter()

Method Detail

### generateReportAboutJobClasses

    public static void generateReportAboutJobClasses(Mapper mapper,
                                                     GeneratorsController controller,
                                                     java.lang.String fileName)
                                              throws java.io.IOException

  This method generates a report (file) about the job classes during or after a test. It reports info such as "Class ID", "Number of Jobs", "Arrival Rate", "Actual Arrival Rate", "Iterations","Actual Iterations", "Waiting Time", "Communication Time"and "Response Time" for every job class in a particular mapper object.

  Parameters:
    `mapper` - the Mapper object containing the job classes
    `controller` - the GeneratorsController object that generated jobs.
    `fileName` - a target to store the report on
  Throws:
    `java.io.IOException` - that might happend when accessing the file system
  See Also:
    `Mapper`

### generateReportAboutSystemStatistics

    public static void generateReportAboutSystemStatistics(Mapper mapper,
                                                           java.lang.String fileName)

  This method generates report about system level statistics such as Scheduling scheme, Start Time, Duration, Communication Delay, and Waiting time, etc..

  Parameters:
    `mapper` - the Mapper object containing the job classes
    `fileName` - a target file to store the report on.
  See Also:
    `.`

### generateReportOfMue

    public static void generateReportOfMue(Mapper mapper,
                                           java.lang.String fileName)
                                    throws java.io.IOException

  This report generate a text file containing Mue Matrix (Processing Rates) and the actual Processing rates that were obtained during or after a test.

  Parameters:
    `mapper` - the Mapper object containing the job classes.
    `fileName` - a target file to store the report on.
  Throws:
    `java.io.IOException`
  See Also:
    `.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD